<?php

if ( ! function_exists( 'calla_elated_set_title_standard_type_for_options' ) ) {
	/**
	 * This function set standard title type value for title options map and meta boxes
	 */
	function calla_elated_set_title_standard_type_for_options( $type ) {
		$type['standard'] = esc_html__( 'Standard', 'calla' );
		
		return $type;
	}
	
	add_filter( 'calla_elated_title_type_global_option', 'calla_elated_set_title_standard_type_for_options' );
	add_filter( 'calla_elated_title_type_meta_boxes', 'calla_elated_set_title_standard_type_for_options' );
}

if ( ! function_exists( 'calla_elated_set_title_standard_type_as_default_options' ) ) {
	/**
	 * This function set default title type value for global title option map
	 */
	function calla_elated_set_title_standard_type_as_default_options( $type ) {
		$type = 'standard';
		
		return $type;
	}
	
	add_filter( 'calla_elated_default_title_type_global_option', 'calla_elated_set_title_standard_type_as_default_options' );
}